#
# hop.rb
#   $Id: hop.rb,v 1.1 2000/11/18 18:57:40 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath

nmax = 400
dt = 2*PI/(nmax-1)
t = NArray.sfloat(nmax).indgen! * dt
x = 1e2*sin(4*t)
y = 1e-3*cos(5*t)+6

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

ussttl('X-TITLE', 'x-unit', 'Y-TITLE', 'y-unit')
usgrph(x, y)

grcls

