#
# u1d2.rb
#   $Id: u1d2.rb,v 1.1 2000/11/18 18:57:44 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

nmax = 50
ymin = 0.0
ymax = 50.0

x1 = NArray.sfloat(nmax+1)
x2 = NArray.sfloat(nmax+1)

#-- data ----
iseed = 0
for n in 0..nmax
  y = ymin + (ymax-ymin)*n/nmax
  x1[n] = 10.0*(exp(-y/20))**2 * exp((rand(iseed)-0.5)*2)**2
  x2[n] = 10.0*(exp(-y/20))**2
end

rundef = glrget('RUNDEF')

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(rundef, rundef, ymin, ymax)
usspnt(x1, rundef)
usspnt(x2, rundef)
grstrn(3)
uspfit
grstrf

ussttl('MIXING RATIO', 'ppmv', 'HEIGHT', 'km')
usdaxs

uusmkt(2)
uumrk(x1, rundef)

uulin(x2, rundef)

grcls

