#
# uxyz08.rb
#
# $Id: uxyz08.rb,v 1.1 2000/11/23 08:19:17 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


x1 = -180
x2 = +180
dx1 = 10
dx2 = 60
y1 = -90
y2 = +90
dy1 = 10
dy2 = 30

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

sgswnd(x1, x2, y1, y2)
sgsvpt(0.2, 0.8, 0.3, 0.7)
sgstrn(1)
sgstrf

uziset('INNER', -1)
uzrset('UXUSER', 0.0)
uzrset('UYUSER', 0.0)
uzlset('LABELXU', false)
uzlset('LABELYU', false)

uxaxdv('B', dx1, dx2)
uxaxdv('T', dx1, dx2)
uxsttl('B', 'LONGITUDE', 0.0)

uyaxdv('L', dy1, dy2)
uyaxdv('R', dy1, dy2)
uysttl('L', 'LATITUDE', 0.0)

uxmttl('T', 'UXAXDV/UYAXDV', 0.0)

uzfact(0.5)
uxaxdv('U', dx1, dx2)
uxsttl('U', 'EQ', +0.9)
uyaxdv('U', dy1, dy2)
uysttl('U', 'GM', -0.9)
uziset('INNER', +1)
uxaxdv('U', dx1, dx2)
uyaxdv('U', dy1, dy2)

grcls

