#
# kihon4.rb
#
# $Id: kihon4.rb,v 1.1 2000/11/21 03:15:39 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 9
x1 = 0.1
xc = 0.5
x2 = 0.9

y = NArray.sfloat(nmax)

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

#-- line ----
for n in 0..nmax-1
  y[n] = 0.1*(9-n)
  sglnv(x1, y[n], x2, y[n])
end

sglnv(xc, 0.05, xc, 0.95)

#-- default ----
sgtxv(xc, y[0], 'SGTXV')

#-- text line index ----
sgstxi(3)
sgtxv(xc, y[1], 'INDEX3')

sgstxi(5)
sgtxv(xc, y[2], 'INDEX5')

sgstxi(1)

#-- text size ----
sgstxs(0.03)
sgtxv(xc, y[3], 'SMALL')

sgstxs(0.07)
sgtxv(xc, y[4], 'LARGE')

sgstxs(0.05)

#-- text centering option ----
sgstxc(-1)
sgtxv(xc, y[5], 'LEFT')

sgstxc(1)
sgtxv(xc, y[6], 'RIGHT')

sgstxc(0)

#-- text rotation ----
sgstxr(10)
sgtxv(xc, y[7], 'ROTATION+')

sgstxr(-10)
sgtxv(xc, y[8], 'ROTATION-')

sgcls

