#
# map3d1.rb
#
# $Id: map3d1.rb,v 1.1 2000/11/21 03:15:41 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


np = 14

#-- data ---
itr =         [10, 11, 12, 13, 14, 15, 20, 21, 22, 23, 30, 31, 32, 33]
fct = NArray[12.0, 12.0, 14.0, 14.0, 14.0, 14.0, 11.0, 16.0, 12.0, 12.0, 40.0, 12.0, 12.0, 17.0]
fct = fct/100.0

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn(-(iws).abs)

slrat(2.0, 3.0)
sldiv('Y', 2, 3)

sglset('LCLIP', true)
sgrset('STLAT1', 45.0)
sgrset('STLAT2', 30.0)

umlset('LGRIDMN', false)
umiset('INDEXMJ', 1)

sgstxs(0.035)
sgstxi(3)

for i in 0..np-1
  sgfrm

  sgsvpt(0.1, 0.9, 0.1, 0.9)
  sgssim(fct[i], 0.0, 0.0)
  sgsmpl(0.0, 90.0, 0.0)
  if ( itr[i] == 30 )
    sgstxy(-180.0, 180.0, 0.0, 90.0)
  else
    sgstxy(-180.0, 180.0, -90.0, 90.0)
  end
  sgstrn(itr[i])
  sgstrf

  slpwwr(1)
  slpvpr(1)
  cttl = sgtrnl(itr[i])
  sgtxr(0.5, 0.95, cttl)
  cttl = format("ITR=%2d", itr[i]);
  sgtxr(0.5, 0.05, cttl)

  umpmap('coast_world')
  umpglb

  if ( itr[i] == 23 )
    sgfrm
    sgfrm
  end
end

sgcls

